aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/bcfg2/bcfg2-server.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
commitb6af1e02efe594039707cd882517663d5370f375 (patch)
treeff9c2d55873e051e82972ba64c017352d3a75d34 /unmaintained/bcfg2/bcfg2-server.initd
parenta71346b7acebc600960a98c84fb32cfd72fe864b (diff)
downloadaports-b6af1e02efe594039707cd882517663d5370f375.tar.bz2
aports-b6af1e02efe594039707cd882517663d5370f375.tar.xz
testing/[multiple]: move unmaintained packages
This moves all packages from testing to unmaintained which have not been updated for atleast 6 months. If you are affected by this commit please follow this proceddure: * make sure your packages build on all architectures * move your pacakge(s) back to testing * if you want to keep this package and can maintain it (or find somebody to maintain it for you) for a minimum of 6 months ask it to be moved to community
Diffstat (limited to 'unmaintained/bcfg2/bcfg2-server.initd')
-rw-r--r--unmaintained/bcfg2/bcfg2-server.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/unmaintained/bcfg2/bcfg2-server.initd b/unmaintained/bcfg2/bcfg2-server.initd
new file mode 100644
index 000000000..5168f7582
--- /dev/null
+++ b/unmaintained/bcfg2/bcfg2-server.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+#
+# bcfgd - bcfg configuration daemon
+#
+#
+
+depend () {
+ need net
+}
+
+start () {
+ ebegin "Starting bcfg2-server"
+ start-stop-daemon --start --quiet --pidfile /var/run/bcfg2-server.pid \
+ --startas /usr/bin/bcfg2-server -- -D /var/run/bcfg2-server.pid
+ eend $? "Failed to start bcfg2-server"
+}
+
+stop () {
+ ebegin "Stopping bcfg2-server"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bcfg2-server.pid \
+ --signal INT
+ eend $? "Failed to stop bcfg2-server"
+}